Name:           dell-redhat-rdbms-12cR2-preinstall
Version:        2018.06
Release:        1%{?dist}
Summary:        Dell-RedHat Oracle DB Install Pre-req 

License:        GPLv2+
URL:            http://www.delltechcenter.com/enterprise
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-buildroot

Requires(post): /usr/bin/python
Requires(preun): /usr/bin/python
Requires: /usr/bin/python

#System Requirement
Requires: kernel

#As per Oracle Database Installation guide, pre-requisites rpms are 

Requires: java binutils compat-libcap1 compat-libstdc++-33 gcc gcc-c++ glibc glibc-devel
Requires: ksh libaio libaio-devel libgcc libstdc++ libstdc++-devel
Requires: libXi libXtst make sysstat 

%description
This package installs software packages and sets system parameters required for Oracle single instance and Real Application Cluster install for Enterprise Linux Release 7
Files affected: /etc/sysctl.conf, /etc/security/limits.d/dell-oracle-rdbms-server-12cR2-preinstall.conf, /etc/default/grub, /boot/grub2/grub.cfg, /etc/sysconfig/network

%prep
%setup -q


%install
mkdir -p "$RPM_BUILD_ROOT"
cp -r * "$RPM_BUILD_ROOT"

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
/etc/security/limits.d/dell-oracle-rdbms-server-12cR2-preinstall.conf
/usr/bin/dell-redhat-rdbms-12cR2-preinstall.py

%post
/usr/bin/python /usr/bin/dell-redhat-rdbms-12cR2-preinstall.py -a

%preun
/usr/bin/python /usr/bin/dell-redhat-rdbms-12cR2-preinstall.py -d


%changelog
