#!/usr/bin/python
import subprocess
import os
import os.path
import re
import math
import grp
import pwd
import time
from datetime import date
from datetime import datetime
import sys, getopt


GRIDBASE = "/u01/app/grid"
GRIDDIR = "u01/12.2.0/grid"

def f_executecommand(command): 
	executecommand = subprocess.Popen(command,stdout=subprocess.PIPE,shell=True)
	output, error = executecommand.communicate()
	if executecommand.returncode != 0:
		print "execution of command %s failed" % (command)
		sys.exit(2)
	else:
		return output

def d_grid_dir():
	print "Deleting Grid Directory"
	try:
		GRIDBASE = "/u01/app/grid"
		GRIDDIR = "/u01/app/12.2.0/grid"

		command = "rm -rf " + GRIDBASE
		command2 = "rm -rf " + GRIDDIR
		f_executecommand(command)
		f_executecommand(command2)
	except KeyError:
		print "completed"
		return

def d_resource_limits():
	print "Removing Limits"
	try:
		command1 = "sed -i '/grid\tsoft\tnofile\t1024/d' /etc/security/limits.conf"
		command2 = "sed -i '/grid\thard\tnofile\t65536/d' /etc/security/limits.conf"
		command3 = "sed -i '/grid\tsoft\tnproc\t16384/d' /etc/security/limits.conf"
		command4 = "sed -i '/grid\thard\tnproc\t16384/d' /etc/security/limits.conf"
		command5 = "sed -i '/grid\tsoft\tstack\t10240/d' /etc/security/limits.conf"
		command6 = "sed -i '/grid\thard\tstack\t32768/d' /etc/security/limits.conf"

		f_executecommand(command1)
		f_executecommand(command2)
		f_executecommand(command3)
		f_executecommand(command4)
		f_executecommand(command5)
		f_executecommand(command6)
	except KeyError:
		print "completed"
		return

def d_os_group_users():
	usersinfo = ["grid"] 
	for user in usersinfo:
		 try:
				pwd.getpwnam(user)
				command = "userdel " + user
				f_executecommand(command)
		 except KeyError:
				continue

	groupsinfo = ['backupdba','dgdba','kmdba','asmadmin','asmdba','asmoper']
	for group in groupsinfo:
		 try:
				grp.getgrnam(group)
				command = "groupdel " + group
				f_executecommand(command)
		 except KeyError:
				continue


def deleteAll():
	
	d_resource_limits()
	d_os_group_users()


def main():
	deleteAll()

						
											 
																						
if __name__ == '__main__':
	main()
