Name:           dell-redhat-rdbms-utilities
Version:        2018.06
Release:        1%{?dist}
Summary:        Dell Oracle Grid setup in RedHat Kernel

License:        GPLv2+
URL:            http://www.delltechcenter.com/enterprise
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-buildroot

Requires(post): /usr/bin/python /bin/sh
Requires(preun): /usr/bin/python /bin/sh
Requires: /usr/bin/python /bin/sh

#System Requirement
Requires: dell-redhat-rdbms-12cR2-preinstall

#As per Oracle Database Installation guide, pre-requisites rpms are 

%description
This package installs users, groups necessary for performing grid installation. Sets system parameters required for grid user during Oracle single instance and Real Application Cluster install for Enterprise Linux Release 7
Files Affected: /etc/sysctl.conf, /etc/security/limits.conf, /etc/systemd/logind.conf

%prep
%setup -q


%install
mkdir -p "$RPM_BUILD_ROOT"
cp -r * "$RPM_BUILD_ROOT"

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
/usr/bin/undodeploy.py
/usr/bin/dodeploy.sh

%post
/usr/bin/dodeploy.sh -g -r 12cR2 -q

%preun
/usr/bin/python /usr/bin/undodeploy.py


%changelog
